Subject: Re: bug#36357: Wrong Ghostscript program name on MS Win

From: Sebastian Urban <[email-masked]>
Date: Tue, 21 Apr 2020 19:51:45 +0200

Thanks Arash for also looking into it, but part of the patch seems to
be unnecessary.  I'm writing about these lines:

# ;; The GS wrapper coming with TeX Live
# ((executable-find "rungs.exe")
#  "rungs")
# ;; The MikTeX builtin GS
# ;; Check if mgs is functional for external non-MikTeX apps.  Was
# ;; available under:
# ;; 
http://blog.miktex.org/post/2005/04/07/Starting-mgsexe-at-the-DOS-Prompt.aspx
# ((and (executable-find "mgs.exe")
#       (= 0 (shell-command
#             (concat (shell-quote-argument (executable-find "mgs.exe"))
#                     " -q -dNODISPLAY -c quit"))))
#  "mgs")

They probably belong to AUCTeX only and do nothing in Doc-view.  So
they should be removed.

I also looked into doc-view.el and right under this variable I found
"defcustom doc-view-pdfdraw-program", which looks exactly like
something we are (may be?) looking for.

To sum things up "doc-view-ghostscript-program" could look like this:

(defcustom doc-view-ghostscript-program
   (cond
    ((executable-find "gswin64c.exe") "gswin64c")
    ((executable-find "gswin32c.exe") "gswin32c")
    (t "gs"))
   "Program to convert PS and PDF files to PNG."
   :type 'file
   :version "27.1")

PS If it's alright could it be installed in 27.1?  It's not that big
of a change.

S. U.